name: build
on:
  pull_request:
    types:
      - closed
    branches:
      - main
jobs:
  build:
    runs-on: remote
    steps:
      - name: Checkout
        uses: https://git.simonis.lol/actions/checkout@v4

      - name: Build
        run: docker buildx build -f .docker/Dockerfile -t git.simonis.lol/projects/abiball:latest .

      - name: Login
        uses: https://git.simonis.lol/actions/login@v1
        with:
          registry: git.simonis.lol
          username: ${{ vars.DOCKER_USER }}
          password: ${{ vars.DOCKER_PW }}
      - name: Push
        run: docker push git.simonis.lol/projects/abiball:latest
